org.apache.hadoop.yarn.api.records

## Enum ApplicationAccessType

- java.lang.Object
- - java.lang.Enum<ApplicationAccessType>
  - - org.apache.hadoop.yarn.api.records.ApplicationAccessType

- All Implemented Interfaces:
    Serializable, Comparable<ApplicationAccessType>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public enum ApplicationAccessType
      extends Enum<ApplicationAccessType>

  Application access types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODIFY_APP` Access-type representing 'modifying' application.
    `VIEW_APP` Access-type representing 'viewing' application.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationAccessType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationAccessType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIEW_APP

          public static final ApplicationAccessType VIEW_APP

      Access-type representing 'viewing' application. ACLs against this type dictate who can 'view' some or all of the application related details.

    - #### MODIFY_APP

          public static final ApplicationAccessType MODIFY_APP

      Access-type representing 'modifying' application. ACLs against this type dictate who can 'modify' the application for e.g., by killing the application

  - ### Method Detail

    - #### values

          public static ApplicationAccessType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationAccessType c : ApplicationAccessType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationAccessType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Apache Software Foundation. All rights reserved.